Method: caseEvidenceDatas.list

Full name: projects.locations.instances.cases.caseEvidenceDatas.list

Lists the case evidence data for a given case.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/caseEvidenceDatas

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent case resource name. Format: projects/{project}/locations/{location}/instances/ {instance}/cases/{caseId}

Query parameters

Parameters
filter

string

Optional. A https://google.aip.dev/160 filter string. Must contain an evidenceType, for example: "evidenceType = THREAT_HUNT"

pageSize

integer

Optional. The maximum number of items to return. The default is 1000, and the maximum pageSize is 1000. Values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListCaseEvidenceDataRequest call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided must match the call that provided the page token.

orderBy

string

Optional. The field to sort the results by. The default ordering is by caseEvidenceDataId.

Request body

The request body must be empty.

Response body

Response message for caseEvidenceDatas.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "caseEvidenceDatas": [
    {
      object (CaseEvidenceData)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
caseEvidenceDatas[]

object (CaseEvidenceData)

The list of case evidence data.

nextPageToken

string

A token to retrieve the next page of results.

totalSize

integer

Total number of records matching the filter.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.caseEvidenceDatas.get

For more information, see the IAM documentation.